Package com.arms.egovframework.javaservice.treeframework.util

## Class DateUtils

- java.lang.Object
- - org.apache.commons.lang.time.DateUtils
  - - com.arms.egovframework.javaservice.treeframework.util.DateUtils

-     public class DateUtils
      extends org.apache.commons.lang.time.DateUtils

- - ### Field Summary

    - ### Fields inherited from class org.apache.commons.lang.time.DateUtils

      `MILLIS_IN_DAY, MILLIS_IN_HOUR, MILLIS_IN_MINUTE, MILLIS_IN_SECOND, MILLIS_PER_DAY, MILLIS_PER_HOUR, MILLIS_PER_MINUTE, MILLIS_PER_SECOND, RANGE_MONTH_MONDAY, RANGE_MONTH_SUNDAY, RANGE_WEEK_CENTER, RANGE_WEEK_MONDAY, RANGE_WEEK_RELATIVE, RANGE_WEEK_SUNDAY, SEMI_MONTH, UTC_TIME_ZONE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DateUtils()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static long` | `convertDaysToManMonth​(long days)` |
    `static java.lang.String` | `dateTimeToString​(java.util.Date date)` |
    `static java.lang.String` | `dateToString​(java.util.Date date)` |
    `static java.lang.String` | `format​(java.lang.String pattern, java.util.Date date)` |
    `static java.util.Date` | `getCurrentDay()` |
    `static java.util.Date` | `getDate​(int hour)` |
    `static java.util.Date` | `getDate​(int hour, int day)` |
    `static java.util.Date` | `getDate​(int year, int month, int day)` |
    `static java.util.Date` | `getDate​(int year, int month, int day, java.util.Date defaultDate)` |
    `static java.util.Date` | `getDate​(java.lang.String text)` |
    `static java.util.Date` | `getDate​(java.lang.String text, java.lang.String pattern)` |
    `static java.util.Date` | `getDate​(java.lang.String year, java.lang.String month, java.lang.String day)` |
    `static java.util.Date` | `getDate​(java.lang.String year, java.lang.String month, java.lang.String day, java.util.Date defaultDate)` |
    `static java.util.Date` | `getDate​(java.lang.String text, java.lang.String pattern, java.util.Date defaultDate)` |
    `static java.util.Date` | `getDate​(java.lang.String text, java.util.Date defaultDate)` |
    `static java.text.DateFormat` | `getDateFormat​(java.lang.String pattern)` |
    `static java.util.Date` | `getDateWithMinute​(int hour, int minute)` |
    `static long` | `getDiffDay​(java.util.Date startDay, java.util.Date endDay)` |
    `static java.util.Date` | `getEndOfDate​(java.util.Date date)` |
    `static java.util.Date` | `getEndOfTime​(int hour)` |
    `static java.util.Date` | `getMonthDate​(java.util.Date date, int month)` |
    `static java.util.Date` | `getMonthFirstDate​(java.util.Date date)` |
    `static java.util.Date` | `getMonthLastDate​(java.util.Date date)` |
    `static java.util.Date` | `getNextDate​(int nextDate)` |
    `static java.util.Date` | `getNextDate​(java.util.Date date, int nextDate)` |
    `static java.util.Date` | `getPreDate​(int preDate)` |
    `static java.util.Date` | `getPreDate​(java.util.Date date, int preDate)` |
    `static long` | `getRoundedDiffDays​(java.util.Date startDay, java.util.Date endDay)` |
    `static java.util.Date` | `getStartOfDate​(java.util.Date date)` |
    `static java.util.Date` | `getUnixToDate​(long unixTime)` |
    `static java.lang.String` | `getUnixToString​(long unixTime)` |
    `static java.util.Map<java.lang.String,​java.util.Date>` | `getWeekDate​(java.util.Date date)` |
    `static java.util.Date` | `getWeekDate​(java.util.Date date, int week)` |
    `static java.util.Date` | `parseDateTime​(java.lang.String str)` |

    - ### Methods inherited from class org.apache.commons.lang.time.DateUtils

      `add, addDays, addHours, addMilliseconds, addMinutes, addMonths, addSeconds, addWeeks, addYears, ceiling, ceiling, ceiling, getFragmentInDays, getFragmentInDays, getFragmentInHours, getFragmentInHours, getFragmentInMilliseconds, getFragmentInMilliseconds, getFragmentInMinutes, getFragmentInMinutes, getFragmentInSeconds, getFragmentInSeconds, isSameDay, isSameDay, isSameInstant, isSameInstant, isSameLocalTime, iterator, iterator, iterator, parseDate, parseDateStrictly, round, round, round, setDays, setHours, setMilliseconds, setMinutes, setMonths, setSeconds, setYears, toCalendar, truncate, truncate, truncate, truncatedCompareTo, truncatedCompareTo, truncatedEquals, truncatedEquals`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DateUtils

          public DateUtils()

  - ### Method Detail

    - #### getDateFormat

          public static java.text.DateFormat getDateFormat​(java.lang.String pattern)

    - #### getDate

          public static java.util.Date getDate​(java.lang.String text,
                                               java.lang.String pattern,
                                               java.util.Date defaultDate)

    - #### getDate

          public static java.util.Date getDate​(java.lang.String text,
                                               java.lang.String pattern)

    - #### getDate

          public static java.util.Date getDate​(java.lang.String text,
                                               java.util.Date defaultDate)

    - #### getDate

          public static java.util.Date getDate​(java.lang.String text)

    - #### getDate

          public static java.util.Date getDate​(int year,
                                               int month,
                                               int day,
                                               java.util.Date defaultDate)

    - #### getDate

          public static java.util.Date getDate​(java.lang.String year,
                                               java.lang.String month,
                                               java.lang.String day,
                                               java.util.Date defaultDate)

    - #### getDate

          public static java.util.Date getDate​(int year,
                                               int month,
                                               int day)

    - #### getDate

          public static java.util.Date getDate​(java.lang.String year,
                                               java.lang.String month,
                                               java.lang.String day)

    - #### parseDateTime

          public static java.util.Date parseDateTime​(java.lang.String str)

    - #### dateTimeToString

          public static java.lang.String dateTimeToString​(java.util.Date date)

    - #### dateToString

          public static java.lang.String dateToString​(java.util.Date date)

    - #### format

          public static java.lang.String format​(java.lang.String pattern,
                                                java.util.Date date)

    - #### getStartOfDate

          public static java.util.Date getStartOfDate​(java.util.Date date)

    - #### getEndOfDate

          public static java.util.Date getEndOfDate​(java.util.Date date)

    - #### getCurrentDay

          public static java.util.Date getCurrentDay()

    - #### getWeekDate

          public static java.util.Map<java.lang.String,​java.util.Date> getWeekDate​(java.util.Date date)

    - #### getPreDate

          public static java.util.Date getPreDate​(int preDate)

    - #### getDate

          public static java.util.Date getDate​(int hour,
                                               int day)

    - #### getDate

          public static java.util.Date getDate​(int hour)

    - #### getDateWithMinute

          public static java.util.Date getDateWithMinute​(int hour,
                                                         int minute)

    - #### getEndOfTime

          public static java.util.Date getEndOfTime​(int hour)

    - #### getMonthDate

          public static java.util.Date getMonthDate​(java.util.Date date,
                                                    int month)

    - #### getWeekDate

          public static java.util.Date getWeekDate​(java.util.Date date,
                                                   int week)

    - #### getPreDate

          public static java.util.Date getPreDate​(java.util.Date date,
                                                  int preDate)

    - #### getNextDate

          public static java.util.Date getNextDate​(int nextDate)

    - #### getNextDate

          public static java.util.Date getNextDate​(java.util.Date date,
                                                   int nextDate)

    - #### getMonthFirstDate

          public static java.util.Date getMonthFirstDate​(java.util.Date date)

    - #### getMonthLastDate

          public static java.util.Date getMonthLastDate​(java.util.Date date)

    - #### getDiffDay

          public static long getDiffDay​(java.util.Date startDay,
                                        java.util.Date endDay)

    - #### getUnixToString

          public static java.lang.String getUnixToString​(long unixTime)

    - #### getUnixToDate

          public static java.util.Date getUnixToDate​(long unixTime)

    - #### convertDaysToManMonth

          public static long convertDaysToManMonth​(long days)

    - #### getRoundedDiffDays

          public static long getRoundedDiffDays​(java.util.Date startDay,
                                                java.util.Date endDay)